package com.ruoyi.ai.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ai.mapper.AiWorkMapper;
import com.ruoyi.ai.domain.AiWork;
import com.ruoyi.ai.service.IAiWorkService;

/**
 * ai作品Service业务层处理
 * 
 * @author shi
 * @date 2025-11-25
 */
@Service
public class AiWorkServiceImpl implements IAiWorkService {

    @Autowired
    private AiWorkMapper aiWorkMapper;

    /**
     * 查询ai作品
     * 
     * @param id ai作品主键
     * @return ai作品
     */
    @Override
    public AiWork selectAiWorkById(Long id) {
        return aiWorkMapper.selectById(id);
    }

    /**
     * 查询ai作品列表
     * 
     * @param aiWork ai作品
     * @return ai作品
     */
    @Override
    public List<AiWork> selectAiWorkList(AiWork aiWork) {
        return aiWorkMapper.selectAiWorkList(aiWork);
    }

    /**
     * 分页查询ai作品列表
     *
     * @param aiWork ai作品
     * @return ai作品
     */
    @Override
    public IPage<AiWork> selectAiWorkPage(Page page, AiWork aiWork) {
        LambdaQueryWrapper<AiWork> query = Wrappers.lambdaQuery(aiWork);
        query.eq(AiWork::getDelFlag, "0");
        return aiWorkMapper.selectPage(page, query);
    }

    /**
     * 新增ai作品
     * 
     * @param aiWork ai作品
     * @return 结果
     */
    @Override
    public int insertAiWork(AiWork aiWork) {
        aiWork.setDelFlag("0");
        aiWork.setCreateTime(DateUtils.getNowDate());
        return aiWorkMapper.insert(aiWork);
    }

    /**
     * 修改ai作品
     * 
     * @param aiWork ai作品
     * @return 结果
     */
    @Override
    public int updateAiWork(AiWork aiWork) {
        aiWork.setUpdateTime(DateUtils.getNowDate());
        return aiWorkMapper.updateById(aiWork);
    }

    /**
     * 批量删除ai作品
     * 
     * @param ids 需要删除的ai作品主键
     * @return 结果
     */
    @Override
    public int deleteAiWorkByIds(Long[] ids)
    {
        return aiWorkMapper.deleteAiWorkByIds(ids);
    }

    /**
     * 删除ai作品信息
     * 
     * @param id ai作品主键
     * @return 结果
     */
    @Override
    public int deleteAiWorkById(Long id)
    {
        return aiWorkMapper.deleteAiWorkById(id);
    }
}
